---
title: "Get a company's verified funding, investors and news"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/funding-intel`

## Path parameters

- `id` (`entity-funding-intel-get.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/funding-intel'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/funding-intel';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/funding-intel"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "status": "available",
    "source": "fireround",
    "fetchedAt": "2019-08-24T14:15:22Z",
    "company": {
      "description": "string",
      "sector": "string",
      "headquarters": "string",
      "logoUrl": "string",
      "totalRaisedUsdMillions": 0,
      "statedTotalRaised": {
        "usdMillions": 0,
        "asWritten": "string",
        "quote": "string",
        "sourceUrl": "string",
        "exceedsRoundsSum": true
      }
    },
    "rounds": [
      {
        "id": "string",
        "stage": "string",
        "stageLabel": "string",
        "amount": {
          "usdMillions": 0,
          "asWritten": "string",
          "currency": "string"
        },
        "announcedOn": "string",
        "certainty": "announced",
        "leadInvestors": [
          {
            "name": "string",
            "domain": "string",
            "logoUrl": "string",
            "sureshakeSlug": "string",
            "match": "entity"
          }
        ],
        "otherInvestors": [
          {
            "name": "string",
            "domain": "string",
            "logoUrl": "string",
            "sureshakeSlug": "string",
            "match": "entity"
          }
        ],
        "sources": [
          {
            "url": "string",
            "title": "string",
            "host": "string",
            "publishedOn": "string"
          }
        ],
        "primarySourceUrl": "string",
        "valuation": {
          "usdMillions": 0,
          "asWritten": "string",
          "basis": "post"
        }
      }
    ],
    "investors": [
      {
        "name": "string",
        "domain": "string",
        "logoUrl": "string",
        "sureshakeSlug": "string",
        "match": "entity",
        "roundsLed": 0,
        "roundsParticipated": 0
      }
    ],
    "news": [
      {
        "url": "string",
        "title": "string",
        "host": "string",
        "publishedOn": "string",
        "roundIds": [
          "string"
        ]
      }
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-funding-intel-get.response.200.data`; any of, required)
  - any of:
    - `object`
      - `status` (`entity-funding-intel-get.response.200.data.1.status`; string, required)
        - one of `"available"`
      - `source` (`entity-funding-intel-get.response.200.data.1.source`; string, required)
        - one of `"fireround"`
      - `fetchedAt` (`entity-funding-intel-get.response.200.data.1.fetchedAt`; string, required)
        - format `date-time`
      - `company` (`entity-funding-intel-get.response.200.data.1.company`; object, required)
        - `description` (`entity-funding-intel-get.response.200.data.1.company.description`; string, required, nullable)
        - `sector` (`entity-funding-intel-get.response.200.data.1.company.sector`; string, required, nullable)
        - `headquarters` (`entity-funding-intel-get.response.200.data.1.company.headquarters`; string, required, nullable)
        - `logoUrl` (`entity-funding-intel-get.response.200.data.1.company.logoUrl`; string, required, nullable)
        - `totalRaisedUsdMillions` (`entity-funding-intel-get.response.200.data.1.company.totalRaisedUsdMillions`; number, required, nullable)
        - `statedTotalRaised` (`entity-funding-intel-get.response.200.data.1.company.statedTotalRaised`; object, required, nullable)
          - `usdMillions` (`entity-funding-intel-get.response.200.data.1.company.statedTotalRaised.usdMillions`; number, required)
          - `asWritten` (`entity-funding-intel-get.response.200.data.1.company.statedTotalRaised.asWritten`; string, required)
          - `quote` (`entity-funding-intel-get.response.200.data.1.company.statedTotalRaised.quote`; string, required, nullable)
          - `sourceUrl` (`entity-funding-intel-get.response.200.data.1.company.statedTotalRaised.sourceUrl`; string, required, nullable)
          - `exceedsRoundsSum` (`entity-funding-intel-get.response.200.data.1.company.statedTotalRaised.exceedsRoundsSum`; boolean, required)
      - `rounds` (`entity-funding-intel-get.response.200.data.1.rounds`; array<object>, required)
        - `id` (`entity-funding-intel-get.response.200.data.1.rounds.id`; string, required)
        - `stage` (`entity-funding-intel-get.response.200.data.1.rounds.stage`; string, required)
        - `stageLabel` (`entity-funding-intel-get.response.200.data.1.rounds.stageLabel`; string, required)
        - `amount` (`entity-funding-intel-get.response.200.data.1.rounds.amount`; object, required)
          - `usdMillions` (`entity-funding-intel-get.response.200.data.1.rounds.amount.usdMillions`; number, required, nullable)
          - `asWritten` (`entity-funding-intel-get.response.200.data.1.rounds.amount.asWritten`; string, required, nullable)
          - `currency` (`entity-funding-intel-get.response.200.data.1.rounds.amount.currency`; string, required, nullable)
        - `announcedOn` (`entity-funding-intel-get.response.200.data.1.rounds.announcedOn`; string, required, nullable)
        - `certainty` (`entity-funding-intel-get.response.200.data.1.rounds.certainty`; string, required)
          - one of `"announced"`, `"reported"`
        - `leadInvestors` (`entity-funding-intel-get.response.200.data.1.rounds.leadInvestors`; array<object>, required)
          - `name` (`entity-funding-intel-get.response.200.data.1.rounds.leadInvestors.name`; string, required)
          - `domain` (`entity-funding-intel-get.response.200.data.1.rounds.leadInvestors.domain`; string, required, nullable)
          - `logoUrl` (`entity-funding-intel-get.response.200.data.1.rounds.leadInvestors.logoUrl`; string, required, nullable)
          - `sureshakeSlug` (`entity-funding-intel-get.response.200.data.1.rounds.leadInvestors.sureshakeSlug`; string, required, nullable)
          - `match` (`entity-funding-intel-get.response.200.data.1.rounds.leadInvestors.match`; string, required)
            - one of `"entity"`, `"none"`, `"ambiguous"`
        - `otherInvestors` (`entity-funding-intel-get.response.200.data.1.rounds.otherInvestors`; array<object>, required)
          - `name` (`entity-funding-intel-get.response.200.data.1.rounds.otherInvestors.name`; string, required)
          - `domain` (`entity-funding-intel-get.response.200.data.1.rounds.otherInvestors.domain`; string, required, nullable)
          - `logoUrl` (`entity-funding-intel-get.response.200.data.1.rounds.otherInvestors.logoUrl`; string, required, nullable)
          - `sureshakeSlug` (`entity-funding-intel-get.response.200.data.1.rounds.otherInvestors.sureshakeSlug`; string, required, nullable)
          - `match` (`entity-funding-intel-get.response.200.data.1.rounds.otherInvestors.match`; string, required)
            - one of `"entity"`, `"none"`, `"ambiguous"`
        - `sources` (`entity-funding-intel-get.response.200.data.1.rounds.sources`; array<object>, required)
          - `url` (`entity-funding-intel-get.response.200.data.1.rounds.sources.url`; string, required)
          - `title` (`entity-funding-intel-get.response.200.data.1.rounds.sources.title`; string, required, nullable)
          - `host` (`entity-funding-intel-get.response.200.data.1.rounds.sources.host`; string, required)
          - `publishedOn` (`entity-funding-intel-get.response.200.data.1.rounds.sources.publishedOn`; string, required, nullable)
        - `primarySourceUrl` (`entity-funding-intel-get.response.200.data.1.rounds.primarySourceUrl`; string, required, nullable)
        - `valuation` (`entity-funding-intel-get.response.200.data.1.rounds.valuation`; object, required, nullable)
          - `usdMillions` (`entity-funding-intel-get.response.200.data.1.rounds.valuation.usdMillions`; number, required, nullable)
          - `asWritten` (`entity-funding-intel-get.response.200.data.1.rounds.valuation.asWritten`; string, required, nullable)
          - `basis` (`entity-funding-intel-get.response.200.data.1.rounds.valuation.basis`; string, required)
            - one of `"post"`, `"pre"`, `"unknown"`
      - `investors` (`entity-funding-intel-get.response.200.data.1.investors`; array<object>, required)
        - `name` (`entity-funding-intel-get.response.200.data.1.investors.name`; string, required)
        - `domain` (`entity-funding-intel-get.response.200.data.1.investors.domain`; string, required, nullable)
        - `logoUrl` (`entity-funding-intel-get.response.200.data.1.investors.logoUrl`; string, required, nullable)
        - `sureshakeSlug` (`entity-funding-intel-get.response.200.data.1.investors.sureshakeSlug`; string, required, nullable)
        - `match` (`entity-funding-intel-get.response.200.data.1.investors.match`; string, required)
          - one of `"entity"`, `"none"`, `"ambiguous"`
        - `roundsLed` (`entity-funding-intel-get.response.200.data.1.investors.roundsLed`; integer, required)
        - `roundsParticipated` (`entity-funding-intel-get.response.200.data.1.investors.roundsParticipated`; integer, required)
      - `news` (`entity-funding-intel-get.response.200.data.1.news`; array<object>, required)
        - `url` (`entity-funding-intel-get.response.200.data.1.news.url`; string, required)
        - `title` (`entity-funding-intel-get.response.200.data.1.news.title`; string, required, nullable)
        - `host` (`entity-funding-intel-get.response.200.data.1.news.host`; string, required)
        - `publishedOn` (`entity-funding-intel-get.response.200.data.1.news.publishedOn`; string, required, nullable)
        - `roundIds` (`entity-funding-intel-get.response.200.data.1.news.roundIds`; array<string>, required)
    - `object`
      - `status` (`entity-funding-intel-get.response.200.data.2.status`; string, required)
        - one of `"not_covered"`
      - `domain` (`entity-funding-intel-get.response.200.data.2.domain`; string, required)
    - `object`
      - `status` (`entity-funding-intel-get.response.200.data.3.status`; string, required)
        - one of `"unavailable"`
      - `unavailableComponent` (`entity-funding-intel-get.response.200.data.3.unavailableComponent`; string, required)
        - one of `"fireround_api"`, `"entity_domain"`
      - `reason` (`entity-funding-intel-get.response.200.data.3.reason`; string, required)
- `meta` (`entity-funding-intel-get.response.200.meta`; object, optional)
  - `timestamp` (`entity-funding-intel-get.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-funding-intel-get.response.400.error`; object, required)
  - `code` (`entity-funding-intel-get.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-funding-intel-get.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-funding-intel-get.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-funding-intel-get.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-funding-intel-get.response.404.error`; object, required)
  - `code` (`entity-funding-intel-get.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-funding-intel-get.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-funding-intel-get.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-funding-intel-get.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-funding-intel-get.response.500.error`; object, required)
  - `code` (`entity-funding-intel-get.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-funding-intel-get.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-funding-intel-get.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-funding-intel-get.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-funding-intel-get/index.md
